classdef AUTOSARSimulinkFunctionInfo < coder.internal.xrelexport.SimulinkFunctionInfo
    % SIMULINKFUNCTIONINFO
    %
    %   Copyright 2017 The MathWorks, Inc.
    properties (SetAccess = immutable)
        AUTOSAROperationName;
        AUTOSARPortName;
    end
    
    methods (Access = public)
        function obj = AUTOSARSimulinkFunctionInfo(lSimulinkFunctionStruct)
            % AUTOSARSIMULINKFUNCTIONINFO
            obj = obj@coder.internal.xrelexport.SimulinkFunctionInfo(lSimulinkFunctionStruct);
            obj.AUTOSAROperationName = lSimulinkFunctionStruct.AUTOSAROperationName;
            obj.AUTOSARPortName = lSimulinkFunctionStruct.AUTOSARPortName;
        end
    end
end