

%   Copyright 2016-2017 The MathWorks, Inc.

Simulink.defineIntEnumType( 'NvM_RamBlockStatusType', ...
   {'NVM_RAMBLOCK_STATUS_UNITIALIZED','NVM_RAMBLOCK_STATUS_INVALID_UNCHANGED', ...
    'NVM_RAMBLOCK_STATUS_VALID_CHANGED','NVM_RAMBLOCK_STATUS_VALID_UNCHANGED'}, ...
   [0 1 2 3], ...
   'DefaultValue', 'NVM_RAMBLOCK_STATUS_UNITIALIZED', ...
   'StorageType', 'uint8', ...                            
   'ModifyExistingClassIfItAlreadyExists', true,...
   'AddClassNameToEnumNames', false);

Simulink.defineIntEnumType( 'NvM_RequestResultType', ...
   {'NVM_REQ_OK','NVM_REQ_NOT_OK', ...
    'NVM_REQ_PENDING','NVM_REQ_INTEGRITY_FAILED', ...
    'NVM_REQ_BLOCK_SKIPPED', 'NVM_REQ_NV_INVALIDATED', ...
    'NVM_REQ_CANCELED', 'NVM_REQ_REDUNDANCY_FAILED', ...
    'NVM_REQ_RESTORED_FROM_ROM'}, ...
   [0 1 2 3 4 5 6 7 8], ...
   'DefaultValue', 'NVM_REQ_OK', ...
   'StorageType', 'uint8', ...                            
   'ModifyExistingClassIfItAlreadyExists', true,...
   'AddClassNameToEnumNames', false);
