function obj = bsw_create_dialog(h,className)
% BSW_CREATE_DIALOG Instantiates a dynamic dialog object.
%
%    OBJ = BSW_CREATE_DIALOG returns OBJ, a dynamic 
%    dialog object.

%    Copyright 2017 The MathWorks, Inc.

% h is either the library block, an instance of the library block
assert(strcmp(get_param(h, 'BlockType'), 'SubSystem'), ...
        'h must be a SubSystem');
obj = bswdialog.(className{1})(h);
